Recalls

Get bulk recalls batch status

Check the processing status of a previously submitted batch.


Checking account...
GET
/v1/recalls-batch/status

Check the processing status of a previously submitted batch.

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

batchId*string

The batch ID returned from the submit endpoint.

Response Body

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/v1/recalls-batch/status \  -d key=CARSXE_API_KEY \  -d batchId=string
{
  "success": true,
  "data": {
    "batchId": "brb_mnablbn7_wvbaqv",
    "numericBatchId": 200426,
    "status": "completed",
    "totalVins": 3
  }
}
{
  "success": false,
  "message": "Missing batchId parameter"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "Batch not found or you do not have access to this batch."
}